void gameOver(bool nextLevel) {
  engine.Paused = true;
  while (1) {
   if(gb.update()){
    gameOverScreen = true;
    if(gb.buttons.pressed(BTN_A) || gb.buttons.pressed(BTN_B) || gb.buttons.pressed(BTN_C)){
       gb.sound.playCancel();
       saveSettings(true);
       engine.Paused = false;
       return; 
    }
    gb.display.setFont(font5x7);
    gb.display.cursorX = 1;
    gb.display.cursorY = 1;

    if (nextLevel) {
      gb.display.print(F("Level "));
      gb.display.println(currentGame.CurrentLevel + 1);
    } else {
      gb.display.println(F("Game over!"));
    }
    gb.display.print(F("Score:"));
    gb.display.println(currentGame.Score);
    gb.display.println(F("Word:"));
    gb.display.println(currentGame.CurrentWord);   
   }
  }
}
void displayScores() {
  gb.display.setFont(font5x7);
  while (1) {
    if (gb.update()) {
      if(gb.buttons.pressed(BTN_A) || gb.buttons.pressed(BTN_B) || gb.buttons.pressed(BTN_C)){
        gb.sound.playCancel();
        return;
      }
    }
    gb.display.cursorX = 12;
    gb.display.cursorY = 10;
    gb.display.print(F("High Score"));
    gb.display.drawRect(0, 0, 84, 48);
    gb.display.drawBitmap(10,24,hiscore);
    gb.display.cursorX = 30;
    gb.display.cursorY = 28;
    gb.display.print(settings.hiscore);
  }
}

void displayAbout() {
    while (1) {
    if (gb.update()) {
      if(gb.buttons.pressed(BTN_A) || gb.buttons.pressed(BTN_B) || gb.buttons.pressed(BTN_C)){
        gb.sound.playCancel();
        return;
      }
    }

    gb.display.setFont(font5x7);
    gb.display.cursorX = 1;
    gb.display.cursorY = 1;
    gb.display.println(F("Hangman by"));
    gb.display.println(F("Ignus"));
    gb.display.print(F("Version: "));
    gb.display.print(VERSION);
  }
}

void displayDifficulty() {
  switch (gb.menu(menuDifficulty, MENUDIFLENGTH)) {
    case 0: //easy
      currentGame.Difficulty = 1;
      break;
    case 1: //medium
      currentGame.Difficulty = 2;
      break;
    case 2: //hard
      currentGame.Difficulty = 3;
      break;
    default:
      break;
  }
  saveSettings(false);
}

void displaySystemInfo() {
  while (1) {
    if (gb.update()) {
      if(gb.buttons.pressed(BTN_A) || gb.buttons.pressed(BTN_B) || gb.buttons.pressed(BTN_C)){
        gb.sound.playCancel();
        return;
      }

      gb.display.print(F("Bat lvl:"));
      gb.display.print(gb.battery.level);
      gb.display.println(F("/4"));

      gb.display.print(F("Light:"));
      gb.display.println(gb.backlight.ambientLight);

      gb.display.print(F("Backlight:"));
      gb.display.println(gb.backlight.backlightValue);

      gb.display.print(F("Volume:"));
      gb.display.print(gb.sound.getVolume());
      gb.display.print(F("/"));
      gb.display.println(gb.sound.volumeMax);

      gb.display.print(F("CPU Usage:"));
      gb.display.print(gb.getCpuLoad());
      gb.display.println(F("%"));

      gb.display.print(F("Free RAM:"));
      gb.display.print(gb.getFreeRam());
      gb.display.print(F(" B"));
    }
  }
}
